Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5550)
@@ -1468,122 +1541,126 @@
      * Two elements on the same level with the same name violates schematron
      * rule, and should fail validation
-     * 
+     *
      * @throws Exception
      */
     @Test
     public void testRegisterInvalidProfile() throws Exception {
+        System.out.println("testRegisterInvalidProfile");
         fillUpPrivateItems();
-	FormDataMultiPart form = new FormDataMultiPart();
-	String profileContent = "";
-	profileContent += "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
-	profileContent += "<CMD_ComponentSpec isProfile=\"true\" xmlns:xml=\"http://www.w3.org/XML/1998/namespace\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
-	profileContent += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
-	profileContent += "    <Header />\n";
-	profileContent += "    <CMD_Component name=\"ProfileTest1\" CardinalityMin=\"0\" CardinalityMax=\"unbounded\">\n";
-	profileContent += "        <CMD_Element name=\"Age\">\n";
-	profileContent += "            <ValueScheme>\n";
-	profileContent += "                <pattern>[23][0-9]</pattern>\n";
-	profileContent += "            </ValueScheme>\n";
-	profileContent += "        </CMD_Element>\n";
-	profileContent += "        <CMD_Element name=\"Age\">\n";
-	profileContent += "            <ValueScheme>\n";
-	profileContent += "                <pattern>[23][0-9]</pattern>\n";
-	profileContent += "            </ValueScheme>\n";
-	profileContent += "        </CMD_Element>\n";
-	profileContent += "    </CMD_Component>\n";
-	profileContent += "</CMD_ComponentSpec>\n";
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getComponentContentAsStream(profileContent),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
-		"ProfileTest1");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
-		"TestDomain");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test Profile");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
-		"My Test Group");
-	RegisterResponse response = getAuthenticatedResource(
-		"/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
-		RegisterResponse.class, form);
-	assertFalse(
-		"Subsequent elements should not be allowed to have the same name",
-		response.isRegistered());
-	assertTrue(response.getErrors().get(0)
-		.contains(MDValidator.PARSE_ERROR));
+        FormDataMultiPart form = new FormDataMultiPart();
+        String profileContent = "";
+        profileContent += "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
+        profileContent += "<CMD_ComponentSpec isProfile=\"true\" xmlns:xml=\"http://www.w3.org/XML/1998/namespace\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
+        profileContent += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
+        profileContent += "    <Header />\n";
+        profileContent += "    <CMD_Component name=\"ProfileTest1\" CardinalityMin=\"0\" CardinalityMax=\"unbounded\">\n";
+        profileContent += "        <CMD_Element name=\"Age\">\n";
+        profileContent += "            <ValueScheme>\n";
+        profileContent += "                <pattern>[23][0-9]</pattern>\n";
+        profileContent += "            </ValueScheme>\n";
+        profileContent += "        </CMD_Element>\n";
+        profileContent += "        <CMD_Element name=\"Age\">\n";
+        profileContent += "            <ValueScheme>\n";
+        profileContent += "                <pattern>[23][0-9]</pattern>\n";
+        profileContent += "            </ValueScheme>\n";
+        profileContent += "        </CMD_Element>\n";
+        profileContent += "    </CMD_Component>\n";
+        profileContent += "</CMD_ComponentSpec>\n";
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getComponentContentAsStream(profileContent),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
+                "ProfileTest1");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
+                "TestDomain");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test Profile");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
+                "My Test Group");
+        RegisterResponse response = getAuthenticatedResource(
+                "/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+        assertFalse(
+                "Subsequent elements should not be allowed to have the same name",
+                response.isRegistered());
+        assertTrue(response.getErrors().get(0)
+                .contains(MDValidator.PARSE_ERROR));
     }
 
     @Test
     public void testRegisterProfileInvalidDescriptionAndContent()
-	    throws Exception {
+            throws Exception {
+        System.out.println("testRegisterProfileInvalidDescriptionAndContent");
         fillUpPrivateItems();
-	FormDataMultiPart form = new FormDataMultiPart();
-	String profileContent = "";
-	profileContent += "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
-	profileContent += "<CMD_ComponentSpec> \n"; // No isProfile attribute
-	profileContent += "    <Header />\n";
-	profileContent += "    <CMD_Component name=\"Actor\" CardinalityMin=\"0\" CardinalityMax=\"unbounded\">\n";
-	profileContent += "        <AttributeList>\n";
-	profileContent += "            <Attribute>\n";
-	profileContent += "                <Name>Name</Name>\n";
-	profileContent += "                <Type>string</Type>\n";
-	profileContent += "            </Attribute>\n";
-	profileContent += "        </AttributeList>\n";
-	profileContent += "    </CMD_Component>\n";
-	profileContent += "</CMD_ComponentSpec>\n";
-	form.field("data", new ByteArrayInputStream(profileContent.getBytes()),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field("name", "");// Empty name so invalid
-	form.field("description", "My Test Profile");
-	RegisterResponse response = getAuthenticatedResource(
-		"/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
-		RegisterResponse.class, form);
-	assertFalse(response.isRegistered());
-	assertEquals(2, response.getErrors().size());
-	assertNotNull(response.getErrors().get(0));
-	assertEquals(MDValidator.PARSE_ERROR, response.getErrors().get(1)
-		.substring(0, MDValidator.PARSE_ERROR.length()));
+        FormDataMultiPart form = new FormDataMultiPart();
+        String profileContent = "";
+        profileContent += "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
+        profileContent += "<CMD_ComponentSpec> \n"; // No isProfile attribute
+        profileContent += "    <Header />\n";
+        profileContent += "    <CMD_Component name=\"Actor\" CardinalityMin=\"0\" CardinalityMax=\"unbounded\">\n";
+        profileContent += "        <AttributeList>\n";
+        profileContent += "            <Attribute>\n";
+        profileContent += "                <Name>Name</Name>\n";
+        profileContent += "                <Type>string</Type>\n";
+        profileContent += "            </Attribute>\n";
+        profileContent += "        </AttributeList>\n";
+        profileContent += "    </CMD_Component>\n";
+        profileContent += "</CMD_ComponentSpec>\n";
+        form.field("data", new ByteArrayInputStream(profileContent.getBytes()),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field("name", "");// Empty name so invalid
+        form.field("description", "My Test Profile");
+        RegisterResponse response = getAuthenticatedResource(
+                "/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+        assertFalse(response.isRegistered());
+        assertEquals(2, response.getErrors().size());
+        assertNotNull(response.getErrors().get(0));
+        assertEquals(MDValidator.PARSE_ERROR, response.getErrors().get(1)
+                .substring(0, MDValidator.PARSE_ERROR.length()));
     }
 
     @Test
     public void testRegisterLargeProfile() throws Exception {
+        System.out.println("testRegisterLargeProfile");
         //fillUpPrivateItems(); not necessary
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getLargeProfileContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
-		"ProfileTest1");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
-		"TestDomain");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test Profile");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
-		"My Test Group");
-	ClientResponse response = getAuthenticatedResource("/registry/profiles")
-		.type(MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class,
-			form);
-	assertEquals(200, response.getStatus());
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getLargeProfileContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
+                "ProfileTest1");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
+                "TestDomain");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test Profile");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD,
+                "My Test Group");
+        ClientResponse response = getAuthenticatedResource("/registry/profiles")
+                .type(MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class,
+                form);
+        assertEquals(200, response.getStatus());
     }
 
     @Test
     public void testRegisterComponentAsProfile() throws Exception {
+        System.out.println("tesRegisterComponentAsProfile");
         //fillUpPrivateItems();; not necessary
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getComponentTestContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD, "t");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD, "domain");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "My Group");
-	RegisterResponse response = getAuthenticatedResource(
-		"/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
-		RegisterResponse.class, form);
-	assertFalse(response.isRegistered());
-	assertTrue(response.isProfile());
-	assertEquals(1, response.getErrors().size());
-	assertEquals(MDValidator.MISMATCH_ERROR, response.getErrors().get(0));
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getComponentTestContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD, "t");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD, "domain");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "My Group");
+        RegisterResponse response = getAuthenticatedResource(
+                "/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+        assertFalse(response.isRegistered());
+        assertTrue(response.isProfile());
+        assertEquals(1, response.getErrors().size());
+        assertEquals(MDValidator.MISMATCH_ERROR, response.getErrors().get(0));
     }
 
@@ -1593,103 +1670,104 @@
      * "nodel-L", "node-R", "leaf-LL", "leaf-LM", "leaf-LR", "leaf-RL",
      * "leaf-RM", "leaf-RR"
-     * 
+     *
      * @throws Exception
      */
     @Test
     public void testSetFilenamesToNull() throws Exception {
-
-	// helper assists in generating a test component
-	CMDComponentSetFilenamesToNullTestRunner helper = new CMDComponentSetFilenamesToNullTestRunner();
-
-	// making an (up to ternary) tree of test components
-	// inductive explaination of the variable names, an example: leaf-LM is
-	// the middle child of the nodeL
-	// the filename is this leaf is "leaf-LM"
-
-	// making children of the node L
-	CMDComponentType leafLR = helper.makeTestComponent("leaf-LR", null);
-	CMDComponentType leafLM = helper.makeTestComponent("leaf-LM", null);
-	CMDComponentType leafLL = helper.makeTestComponent("leaf-LL", null);
-
-	// making node L
-	List<CMDComponentType> nodeLchild = (new ArrayList<CMDComponentType>());
-	nodeLchild.add(leafLL);
-	nodeLchild.add(leafLM);
-	nodeLchild.add(leafLR);
-	CMDComponentType nodeL = helper.makeTestComponent("node-L", nodeLchild);
-
-	// making children of the node R
-	CMDComponentType leafRR = helper.makeTestComponent("leaf-RR", null);
-	CMDComponentType leafRM = helper.makeTestComponent("leaf-RM", null);
-	CMDComponentType leafRL = helper.makeTestComponent("leaf-RL", null);
-
-	// making node R
-	List<CMDComponentType> nodeRchild = (new ArrayList<CMDComponentType>());
-	nodeRchild.add(leafRL);
-	nodeRchild.add(leafRM);
-	nodeRchild.add(leafRR);
-	CMDComponentType nodeR = helper.makeTestComponent("node-R", nodeRchild);
-
-	// making the root, which has children NodeL and nodeR
-	List<CMDComponentType> wortelchild = (new ArrayList<CMDComponentType>());
-	wortelchild.add(nodeL);
-	wortelchild.add(nodeR);
-	CMDComponentType root = helper.makeTestComponent("wortel", wortelchild);
-
-	// checking if the test compnent has the expected structure and the
-	// expected filenames
-	// ALSO this checking code below shows the strtucture of the tree
-
-	assertEquals(root.getCMDComponent().size(), 2);
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().size(), 3);
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().size(), 3);
-
-	assertEquals(root.getFilename(), "wortel");
-
-	assertEquals(root.getCMDComponent().get(0).getFilename(), "node-L");
-	assertEquals(root.getCMDComponent().get(1).getFilename(), "node-R");
-
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(0)
-		.getFilename(), "leaf-LL");
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(1)
-		.getFilename(), "leaf-LM");
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(2)
-		.getFilename(), "leaf-LR");
-
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(0)
-		.getFilename(), "leaf-RL");
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(1)
-		.getFilename(), "leaf-RM");
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(2)
-		.getFilename(), "leaf-RR");
-
-	// the actual job
-	// nulling the filenames will be called as a method of testrestservice
-	ComponentRegistryRestService restservice = new ComponentRegistryRestService();
-	restservice.setFileNamesToNullCurrent(root);
-
-	// check if the filenames are nulled
-	assertEquals(root.getFilename(), null);
-
-	assertEquals(root.getCMDComponent().get(0).getFilename(), null);
-	assertEquals(root.getCMDComponent().get(1).getFilename(), null);
-
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(0)
-		.getFilename(), null);
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(1)
-		.getFilename(), null);
-	assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(2)
-		.getFilename(), null);
-
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(0)
-		.getFilename(), null);
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(1)
-		.getFilename(), null);
-	assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(2)
-		.getFilename(), null);
-    }
-    
-    @Test
-    public void testGetDescription() throws Exception{
+        System.out.println("testSetfilenamesTonull");
+        // helper assists in generating a test component
+        CMDComponentSetFilenamesToNullTestRunner helper = new CMDComponentSetFilenamesToNullTestRunner();
+
+        // making an (up to ternary) tree of test components
+        // inductive explaination of the variable names, an example: leaf-LM is
+        // the middle child of the nodeL
+        // the filename is this leaf is "leaf-LM"
+
+        // making children of the node L
+        CMDComponentType leafLR = helper.makeTestComponent("leaf-LR", null);
+        CMDComponentType leafLM = helper.makeTestComponent("leaf-LM", null);
+        CMDComponentType leafLL = helper.makeTestComponent("leaf-LL", null);
+
+        // making node L
+        List<CMDComponentType> nodeLchild = (new ArrayList<CMDComponentType>());
+        nodeLchild.add(leafLL);
+        nodeLchild.add(leafLM);
+        nodeLchild.add(leafLR);
+        CMDComponentType nodeL = helper.makeTestComponent("node-L", nodeLchild);
+
+        // making children of the node R
+        CMDComponentType leafRR = helper.makeTestComponent("leaf-RR", null);
+        CMDComponentType leafRM = helper.makeTestComponent("leaf-RM", null);
+        CMDComponentType leafRL = helper.makeTestComponent("leaf-RL", null);
+
+        // making node R
+        List<CMDComponentType> nodeRchild = (new ArrayList<CMDComponentType>());
+        nodeRchild.add(leafRL);
+        nodeRchild.add(leafRM);
+        nodeRchild.add(leafRR);
+        CMDComponentType nodeR = helper.makeTestComponent("node-R", nodeRchild);
+
+        // making the root, which has children NodeL and nodeR
+        List<CMDComponentType> wortelchild = (new ArrayList<CMDComponentType>());
+        wortelchild.add(nodeL);
+        wortelchild.add(nodeR);
+        CMDComponentType root = helper.makeTestComponent("wortel", wortelchild);
+
+        // checking if the test compnent has the expected structure and the
+        // expected filenames
+        // ALSO this checking code below shows the strtucture of the tree
+
+        assertEquals(root.getCMDComponent().size(), 2);
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().size(), 3);
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().size(), 3);
+
+        assertEquals(root.getFilename(), "wortel");
+
+        assertEquals(root.getCMDComponent().get(0).getFilename(), "node-L");
+        assertEquals(root.getCMDComponent().get(1).getFilename(), "node-R");
+
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(0)
+                .getFilename(), "leaf-LL");
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(1)
+                .getFilename(), "leaf-LM");
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(2)
+                .getFilename(), "leaf-LR");
+
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(0)
+                .getFilename(), "leaf-RL");
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(1)
+                .getFilename(), "leaf-RM");
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(2)
+                .getFilename(), "leaf-RR");
+
+        // the actual job
+        // nulling the filenames will be called as a method of testrestservice
+        ComponentRegistryRestService restservice = new ComponentRegistryRestService();
+        restservice.setFileNamesToNullCurrent(root);
+
+        // check if the filenames are nulled
+        assertEquals(root.getFilename(), null);
+
+        assertEquals(root.getCMDComponent().get(0).getFilename(), null);
+        assertEquals(root.getCMDComponent().get(1).getFilename(), null);
+
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(0)
+                .getFilename(), null);
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(1)
+                .getFilename(), null);
+        assertEquals(root.getCMDComponent().get(0).getCMDComponent().get(2)
+                .getFilename(), null);
+
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(0)
+                .getFilename(), null);
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(1)
+                .getFilename(), null);
+        assertEquals(root.getCMDComponent().get(1).getCMDComponent().get(2)
+                .getFilename(), null);
+    }
+
+    @Test
+    public void testGetDescription() throws Exception {
+        System.out.println("testGetDescription");
         fillUpPublicItems();
         String id = ComponentDescription.COMPONENT_PREFIX + "component1";
